Bug 295604 - The number of pages variable is not loaded correctly
Summary: The number of pages variable is not loaded correctly
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Applications
Component: opendocument (show other bugs)
Version: 2.4-snapshots
Platform: unspecified Linux
: NOR normal
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-09 12:38 UTC by Inge Wallin
Modified: 2012-03-10 15:36 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
A document with the above mentioned text. (4.53 KB, application/vnd.oasis.opendocument.text)
2012-03-09 12:38 UTC, Inge Wallin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Inge Wallin 2012-03-09 12:38:22 UTC
Created attachment 69419 [details]
A document with the above mentioned text.

After entering the simple text "Page <x> / <y>" where
 <x> is the current page
 </y> is the total number of pages
and roundtripping the file (save/restart/load) the total number of pages is no longer shown.

See the attached file. Afaics the variable is saved correctly.
Comment 1 T Zachmann 2012-03-10 15:30:36 UTC
Git commit e4f7211557b4e258c4c2649ac9e90498f2bf2394 by Thorsten Zachmann.
Committed on 10/03/2012 at 16:25.
Pushed by zachmann into branch 'master'.

Display page count if no style is defined.

The page count variable should be shown if there is no  num-style defined.
Use the same way as is used for the page number.

This fixes roundtrip of saving page count variable.

Please review for backporting to 2.4

CCMAIL: calligra-devel@kde.org

M  +2    -1    plugins/variables/PageVariable.cpp

http://commits.kde.org/calligra/e4f7211557b4e258c4c2649ac9e90498f2bf2394
Comment 2 T Zachmann 2012-03-10 15:36:37 UTC
Git commit 2bb698421bc709d0fbe36d9d6be73a4ad8e83387 by Thorsten Zachmann.
Committed on 10/03/2012 at 16:25.
Pushed by zachmann into branch 'calligra/2.4'.

Display page count if no style is defined.

The page count variable should be shown if there is no  num-style defined.
Use the same way as is used for the page number.

This fixes roundtrip of saving page count variable.

Please review for backporting to 2.4

CCMAIL: calligra-devel@kde.org

Reviewed by: boemann
(cherry picked from commit e4f7211557b4e258c4c2649ac9e90498f2bf2394)

M  +2    -1    plugins/variables/PageVariable.cpp

http://commits.kde.org/calligra/2bb698421bc709d0fbe36d9d6be73a4ad8e83387